package com.goafanti.copyright.bo;

import java.util.Date;

import org.apache.commons.lang3.time.DateFormatUtils;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonFormat.Shape;
import com.goafanti.common.constant.AFTConstants;

public class CopyrightInfoSummary {

	private String	id;

	private String	uid;
	/**
	 * 省份
	 */
	private Integer	province;

	/**
	 * 单位名称
	 */
	private String	unitName;
	/**
	 * 编号
	 */
	private Integer	serialNumber;

	/**
	 * 创建时间
	 */
	private Date	createTime;

	/**
	 * 受理时间
	 */
	private Date	acceptTime;

	/**
	 * 负责人
	 */
	private String	principal;

	/**
	 * 联系人
	 */
	private Integer	contact;

	/**
	 * 软著名字
	 */
	private String	copyrightName;

	/**
	 * 申请状态
	 */
	private Integer	status;

	/**
	 * 备注
	 */
	private String	comment;

	/**
	 * 派单详情
	 */
	private String	workIssue;

	/**
	 * 外包公司
	 */
	private String	outsource;

	/**
	 * 加急天数
	 */
	private Integer	inUrgent;

	/**
	 * 申请号/专利号
	 */
	private String	copyrightNumber;

	/**
	 * 下证日
	 */
	private Date	authorizedDate;

	private String founder;
	
	private Integer contractNumber;
	
	public Integer getContractNumber() {
		return contractNumber;
	}

	public void setContractNumber(Integer contractNumber) {
		this.contractNumber = contractNumber;
	}

	public String getFounder() {
		return founder;
	}

	public void setFounder(String founder) {
		this.founder = founder;
	}

	public Integer getProvince() {
		return province;
	}

	public void setProvince(Integer province) {
		this.province = province;
	}

	public String getUnitName() {
		return unitName;
	}

	public void setUnitName(String unitName) {
		this.unitName = unitName;
	}

	public Integer getSerialNumber() {
		return serialNumber;
	}

	public void setSerialNumber(Integer serialNumber) {
		this.serialNumber = serialNumber;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Date getAcceptTime() {
		return acceptTime;
	}

	public void setAcceptTime(Date acceptTime) {
		this.acceptTime = acceptTime;
	}

	public String getPrincipal() {
		return principal;
	}

	public void setPrincipal(String principal) {
		this.principal = principal;
	}

	@JsonFormat(shape = Shape.STRING)
	public Integer getContact() {
		return contact;
	}

	public void setContact(Integer contact) {
		this.contact = contact;
	}

	public String getCopyrightName() {
		return copyrightName;
	}

	public void setCopyrightName(String copyrightName) {
		this.copyrightName = copyrightName;
	}

	@JsonFormat(shape = Shape.STRING)
	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public String getComment() {
		return comment;
	}

	public void setComment(String comment) {
		this.comment = comment;
	}

	public String getOutsource() {
		return outsource;
	}

	public void setOutsource(String outsource) {
		this.outsource = outsource;
	}

	public Integer getInUrgent() {
		return inUrgent;
	}

	public void setInUrgent(Integer inUrgent) {
		this.inUrgent = inUrgent;
	}

	public Date getAuthorizedDate() {
		return authorizedDate;
	}

	public void setAuthorizedDate(Date authorizedDate) {
		this.authorizedDate = authorizedDate;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getAcceptTimeFormattedDate() {
		if (this.acceptTime == null) {
			return null;
		} else {
			return DateFormatUtils.format(this.acceptTime, AFTConstants.YYYYMMDD);
		}
	}

	public void setAcceptTimeFormattedDate(String acceptTimeFormattedDate) {

	}

	public String getAuthorizedDateFormattedDate() {
		if (this.authorizedDate == null) {
			return null;
		} else {
			return DateFormatUtils.format(this.authorizedDate, AFTConstants.YYYYMMDD);
		}
	}

	public void setAuthorizedDateFormattedDate(String authorizedDateFormattedDate) {

	}

	public String getCreateTimeFormattedDate() {
		if (this.createTime == null) {
			return null;
		} else {
			return DateFormatUtils.format(this.createTime, AFTConstants.YYYYMMDD);
		}
	}

	public void setCreateTimeFormattedDate(String createTimeFormattedDate) {

	}

	public String getWorkIssue() {
		return workIssue;
	}

	public void setWorkIssue(String workIssue) {
		this.workIssue = workIssue;
	}

	public String getUid() {
		return uid;
	}

	public void setUid(String uid) {
		this.uid = uid;
	}

	public String getCopyrightNumber() {
		return copyrightNumber;
	}

	public void setCopyrightNumber(String copyrightNumber) {
		this.copyrightNumber = copyrightNumber;
	}

}
